$(function () {
    //提交判断
    $("form").submit(function () {
        $("input[type='text'],input[type='password'],textarea").trigger("blur");

        ///新增方法填写在此///
        
        //判断2次密码输入是否一致
        if ($("#password1_text").val() != $("#password2_text").val()) {
            $("#password2_text").parent("p").find("span").attr("class", "point ico-error R");
            $("#password2_text").parent("p").find("span").text("2次密码输入不一致");
            return false;
        } else {
            $("#password2_text").parent("p").find("span").attr("class", "point ico-via Q");
            $("#password2_text").parent("p").find("span").text("验证通过");
        }
        /////

        if ($("form span").hasClass("ico-error")) {
            $("input:submit").attr("disabled", false);
            alert("请按照提示正确操作，检查各项填写");
            return false;
        } else {
            $("input:submit").attr("disabled", true);
            $("input:submit").next("span").attr("class", "Q");
            $("input:submit").next("span").html("正在提交中…");
        }
    });

})